autokey is niet te updaten of te verwijderen; programma's in Ubuntu 9.10 werken slecht.

Hein van Helsdingen hvanhelsdingen op online.nl
Vr Feb 5 14:03:10 GMT 2010




Het programma  autokey  is niet te updaten en de computer doet het (nu)
slecht.

Het leek mij fijn om met Karmic, Ubuntu 9.10, veel hotkeys in te kunnen
stellen. Autokey is zo'n Debianprogramma uit de Ubunturepositories. Maar
nadat het pakket geinstalleerd was kwamen er problemen met het updaten;
-  Via UpdateManager bleek dat er geen update gegeven kon worden want
het  vervangen van het pakket gaf de volgende boodschap;
Voorbereiden om autokey 0.54.5-1 te vervangen
(door .../autokey_0.54.5-1_all.deb) ...
/usr/lib/pymodules/python2.6/gtk-2.0/gtk/__init__.py:57: GtkWarning:
could not open display
  warnings.warn(str(e), _gtk.Warning)
[Errno 3] Proces bestaat niet
invoke-rc.d: initscript autokey, action "stop" failed.
dpkg: waarschuwing: verouderd pre-removal script geeft een fout terug
met status 1
dpkg - script uit het nieuwe pakket wordt geprobeerd ...
/usr/lib/pymodules/python2.6/gtk-2.0/gtk/__init__.py:57: GtkWarning:
could not open display
  warnings.warn(str(e), _gtk.Warning)
[Errno 3] Proces bestaat niet
invoke-rc.d: initscript autokey, action "stop" failed.
dpkg: fout bij afhandelen
van /var/cache/apt/archives/autokey_0.54.5-1_all.deb (--unpack):
 subproces nieuw pre-removal script gaf een foutwaarde 1 terug
/usr/lib/pymodules/python2.6/gtk-2.0/gtk/__init__.py:57: GtkWarning:
could not open display
  warnings.warn(str(e), _gtk.Warning)
pidfile /tmp/autokey-daemon.pid already exist. Daemon already running?
invoke-rc.d: initscript autokey, action "start" failed.
dpkg: fout tijdens opruimen:
 subproces installed post-installation script gaf een foutwaarde 1 terug
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/autokey_0.54.5-1_all.deb
E: /var/cache/apt/archives/autokey_0.54.5-1ubuntu0.2_all.deb: subproces
nieuw pre-removal script gaf een foutwaarde 1 terug
E: Sub-process /usr/bin/dpkg returned an error code (1)
   De UpdateManager gaf op decommmandline de volgende boodschap;Een
pakket kon niet geïnstalleerd worden. Er wordt geprobeerd om te
herstellen:
dpkg: fout bij afhandelen van autokey (--configure):
 Pakket is in een zeer inconsistente staat - u zult het opnieuw  moeten
installeren alvorens het te configureren. Fouten gevonden tijdens
behandelen van:  autokey.
- Via Synaptic (installatieprogramma van losse pakketten) bleek dat het
pakket eerst verbeterd moest worden. Maar toen ik Synaptic opdracht gaf
om dat te doen werkte dat ook niet. (Toen kwam er weer een soortgelijk
verhaal als hierboven beschreven staat.)
-  Met de hand herinstalleren met Synaptic gaf echter ook nog fouten:
De pakketmanager gaf via de terminal de volgende boodschap:
invoke-rc.d: initscript autokey, action "stop" failed.
dpkg: fout bij afhandelen van /home/hein100/autokey_0.54.5-1_all.deb
(--install):
 subproces nieuw pre-removal script gaf een foutwaarde 1 terug
pidfile /tmp/autokey-daemon.pid already exist. Daemon already running?
invoke-rc.d: initscript autokey, action "start" failed.
dpkg: fout tijdens opruimen:
 subproces installed post-installation script gaf een foutwaarde 1 terug
Fouten gevonden tijdens behandelen van:
 /home/hein100/autokey_0.54.5-1_all.deb
- Als laatste heb ik geprobeerd om in de
directory /var/cache/apt/archives/autokey_0.54.5-1_all.deb    het pakket
autokey weg te halen.  Maar ik mocht het niet weghalen. 

De desktop doorzoeken met Beagle en Recoll gaat slecht. (Dit leek eerder
goed te gaan.) Misschien dat dat een gevolg is van de problemen met
autokey. OpenOffice-tekstverwerker kan geen .doc 's meer maken. (Eerder
kon deze dat wel.)
Hiernaast zou er nog een gekoppeld probleem kunnen zijn, namelijk dat ik
met de command  'noapic'    Ubuntu 9.10 heb moeten installeren en nog
niet in de al geinstalleerde 9.10  in 'een configuratiebestand'  deze
opdracht heb weten in te voeren. Dit wordt wel aangeraden wordt door
diverse bronnen. Wat voor invloed dat heeft weet ik totaal niet. Het
leek erop alsof na de installatie Ubuntu zonder 'noapic-verbetering' in
een 'configuratiebestand' (script) , goed functioneerde. En toen nam ik
het besluit om te wachten met te vragen hoe je een script kunt
veranderen. (Gewoon veranderen in dat bestand mocht niet.)
De computer is een Fujitsu Li-8200, met een Core2Quad Q8200 processor.
(4 kamers) En een heeft een ATI Radeon HD4350 grafische kaart. Genoeg
RAM-geheugen en voldoende Swapopslag.

Wat ik ervan begrijp is dat autokey niet weg te krijgen is uit Ubuntu
zodat update niet te plaatsen is.
1. Klopt dit?
2. Is het een oplossing om eerst het pakket  autokey proberen te
verwijderen en dan nagaan of Recoll, Beagle en OpenOffice beter
functioneren.
3. Hierop doordenkend; Hoe kan ik via de console/commandline  autokey
weg krijgen? (Of kan ik beter wat anders eerst doen?)
2. Als autokey niet als een geheel programma weg te krijgen is hoe kan
ik dan met één commmand al die directories waar autokey nu in staat  weg
krijgen?
3. Als het verwijderen lukt, is het dan te gevaarlijk om weer een
nieuwere autokey  te installeren? 
3.a. Is het nieuwe pakket autokey uit de Ubuntu repositories nu ook niet
betrouwbaar, of  3.b. is een installatieonderdeel in Ubuntu niet
betrouwbaar, of 3.b. heb ik nog problemen met de Fujitsu
'noapic-installatie' van de 9.10 en moet ik nog scripts
veranderen/inschrijven?

Bij voorbaat bedankt, Hein van Helsdingen

Hein's Ubuntu; Hoe.bunt.U?     Antwoord; U.bun.TOUS. (In het frans
betekent TOUS, ALLES)

------------- volgend deel ------------
Een niet-tekst bijlage is verwijderd...
Naam: niet beschikbaar
Type: application/pgp-signature
Grootte: 197 bytes
Omschrijving: Dit berichtdeel is digitaal ondertekend
Url : https://lists.ubuntu.com/archives/ubuntu-nl/attachments/20100205/68178c29/attachment-0001.pgp 


Meer informatie over de Ubuntu-NL maillijst